petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectProcessOptionsHandlers

Calls all the options handlers attached to an object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectProcessOptionsHandlers(PetscOptionItems *PetscOptionsObject,PetscObject obj)

Not Collective

### Input Parameter

obj -the PETSc object

### See Also

KSPSetFromOptions(), PCSetFromOptions(), SNESSetFromOptions(), PetscObjectAddOptionsHandler(), PetscObjectDestroyOptionsHandlers()

### Level

developer

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages